// $Source: /usr/local/SimSoft/Sfx3D/src/gsl/avis.cpp,v $
// $Revision: 1.2 $
// $Author: baum $
// $Date: 2001/11/29 15:18:09 $
//
// Login name of the user who locked the revision
// $Locker:  $
// Tag name used to checkout the file
// $Name:  $
// State assigned to revision
// $State: Exp $
//
//
// $Log: avis.cpp,v $
// Revision 1.2  2001/11/29 15:18:09  baum
// -Realzeitsteuerung eingebaut
// -Handsteuerung eingebaut
//

#include <float.h>
#include <limits.h>

#define _AVIS_CPP
#include "avis.h"

//---------------------------------------------------------
// Klasse typAvis
//---------------------------------------------------------

typAvis::typAvis ()
 : ObjDirIstAnzahl   (0),
   ObjDirSollAnzahl  (UINT_MAX),
   ObjIndIstAnzahl   (0),
   ObjIndSollAnzahl  (UINT_MAX)
   /*
   DirIstVolumen  (0.0),
   DirSollVolumen (DBL_MAX),
   IndIstVolumen  (0.0),
   IndSollVolumen (DBL_MAX)
   */
 { }

typAvis::~typAvis ()
 { }

const int& typAvis::DirIstAnzahl () const {
  return ObjDirIstAnzahl;
}

const int& typAvis::incDirIstAnzahl () {
  return (++ObjDirIstAnzahl);
}

const int& typAvis::decDirIstAnzahl () {
  return (--ObjDirIstAnzahl);
}

const unsigned& typAvis::DirSollAnzahl () const {
  return ObjDirSollAnzahl;
}

const unsigned& typAvis::setDirSollAnzahl (const unsigned& sollwert) {
  return (ObjDirSollAnzahl = sollwert);
}

bool typAvis::isDirAvisOk () const {
  return (ObjDirIstAnzahl < (int) ObjDirSollAnzahl);
}

const int& typAvis::IndIstAnzahl () const {
  return ObjIndIstAnzahl;
}

const int& typAvis::incIndIstAnzahl () {
  return (++ObjIndIstAnzahl);
}

const int& typAvis::decIndIstAnzahl () {
  return (--ObjIndIstAnzahl);
}

const unsigned& typAvis::IndSollAnzahl () const {
  return ObjIndSollAnzahl;
}

const unsigned& typAvis::setIndSollAnzahl (const unsigned& sollwert) {
  return (ObjIndSollAnzahl = sollwert);
}

bool typAvis::isIndAvisOk () const {
  return (ObjIndIstAnzahl < (int) ObjIndSollAnzahl);
}

int typAvis::DirSollIstVergleich () const {
  return ((int) ObjDirSollAnzahl - ObjDirIstAnzahl);
}
